#include <iostream>
#include "Person.h"
#include "Frau.h"
#include "Mann.h"

using namespace std;

Person::Person(KString *vn) : Vater(nullptr), Mutter(nullptr) {
	Vorname = new KString(vn->getValue());
}

Person::Person(char const *vn) : Vater(nullptr), Mutter(nullptr) {
	Vorname = new KString(vn);
}
Person::~Person() {
	delete Vorname;
}
char *Person::Name() {
	return Vorname->getValue();
}
void Person::SetzeMutter(Frau *f) {
	Mutter = f;
}
void Person::SetzeVater(Mann *m) {
	Vater = m;
}
void Person::Druck(char const *s) {
	cout << s << "Vorname: " << Vorname->getValue() << endl;
	if (Mutter != nullptr) {
		cout << s << "Mutter: ";
		Mutter->Druck("");
	}
	if (Vater != nullptr) {
		cout << s << "Vater : ";
		Vater->Druck("");
	}
}
