#include <iostream>
#include <cctype>
#include "KVersalien.h"

using namespace std;

KVersalien::KVersalien(char const *s) : KString(s) {
	for (int i = 0; i < mLength; i++) 
		if (islower(mValue[i])) 
			mValue[i] = toupper(mValue[i]);
}
void KVersalien::print() {
	cout << "KVersalien::print -> " << endl;
	KString::print();
}
bool KVersalien::setValue(char const *s) {
	if (!KString::setValue(s)) return false;
	for (int i = 0; i < mLength; i++) 
		if (islower(mValue[i])) 
			mValue[i] = toupper(mValue[i]);
	return true;
}
