#include <iostream>
#include <cstring>
#include "KString.h"

using namespace std;

KString::KString(char const *s) {
	mLength = strlen(s);          // Länge ohne terminale '\0'
	mValue = new char[mLength+1]; // +1 für '\0'-Zeichen
	strcpy(mValue, s);            // kopiert auch terminale '\0'
}
KString::~KString() {
	delete[] mValue;
}
int KString::length() {
	return mLength;
}
void KString::print() {
	cout << mValue << endl;
}
char *KString::getValue() {
	return mValue;
}
bool KString::setValue(char const *s) {
	int length = strlen(s);
	if (length > mLength) return false;
	strcpy(mValue, s);
	mLength = length;
	return true;
}
