#include "Mann.h"
#include "Frau.h"

void Verheirate(Mann *m, Frau *f) {
	if (m != nullptr && f != nullptr){         // Existenz?
		if (m->EhemannVon() != nullptr) return;  // ledig?
		if (f->EhefrauVon() != nullptr) return;  // ledig?
		m->NimmZurFrau(f);
		f->NimmZumMann(m);
	}
}

void Scheide(Mann *m, Frau *f) {
	if (m != nullptr && f != nullptr){         // Existenz?
		if (m->EhemannVon() == f) {              // verheiratet?
			m->NimmZurFrau(nullptr);
			f->NimmZumMann(nullptr);
		}
	}
}

int main() {
	Mann *Anton  = new Mann("Anton");
	Frau *Bertha = new Frau("Bertha");
	Mann *Carl   = new Mann("Carl");
	Carl->SetzeMutter(Bertha); Carl->SetzeVater(Anton);
	Frau *Doris  = new Frau("Doris");
	Doris->SetzeMutter(Bertha); Doris->SetzeVater(Anton);

	Anton->Druck("A: "); Bertha->Druck("B: ");
	Carl->Druck("\tC:"); Doris->Druck("\tD:");

	Verheirate(Anton, Bertha);
	Bertha->EhefrauVon()->Druck("B ist Frau von: ");
	Anton->EhemannVon()->Druck("A ist Mann von: ");

	delete Doris; delete Carl; delete Bertha; delete Anton;
}
